Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 13646013: Enable support for CSS Conditional Rules (Closed)

Created:
6 years, 6 months ago by Peter Beverloo
Modified:
6 years, 5 months ago
CC:
blink-reviews, yurys+blink_chromium.org, loislo+blink_chromium.org, Alexis Menard, abarth-chromium, vsevik+blink_chromium.org, pfeldman+blink_chromium.org, caseq+blink_chromium.org, Nate Chapin
Visibility:
Public.

Description

Enable support for CSS Conditional Rules This patch removes the ENABLE_CSS3_CONDITIONAL_RULES compile time flag, and thus brings support for CSS Conditional Rules to Chromium. Three tests have been contributed by the author of this feature, Pablof Flouret <pablof@motorola.com>;, all of which pass. In order to get there, I had to slightly update the CSSGrammar.y.in file to properly identify "!important" as a failing rule. Three warnings in that same file have also been resolved. Shipping CSS Conditional Rules received an LGTM from Eric Seidel on April 15th, 2013, both un-prefixed and unguarded. BUG=227103 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=148817

Patch Set 1 #

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -123 lines) Patch
M LayoutTests/TestExpectations View 1 1 chunk +0 lines, -5 lines 0 comments Download
M Source/WebKit/chromium/features.gypi View 1 1 chunk +0 lines, -1 line 0 comments Download
M Source/bindings/v8/custom/V8CSSRuleCustom.cpp View 1 2 chunks +0 lines, -4 lines 0 comments Download
M Source/core/css/CSSGrammar.y.in View 1 14 chunks +9 lines, -23 lines 0 comments Download
M Source/core/css/CSSParser.h View 1 6 chunks +0 lines, -12 lines 0 comments Download
M Source/core/css/CSSParser.cpp View 1 10 chunks +1 line, -17 lines 0 comments Download
M Source/core/css/CSSRule.h View 1 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/css/CSSRule.idl View 1 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/css/CSSSupportsRule.h View 1 2 chunks +0 lines, -4 lines 0 comments Download
M Source/core/css/CSSSupportsRule.cpp View 1 2 chunks +0 lines, -4 lines 0 comments Download
M Source/core/css/CSSSupportsRule.idl View 1 2 chunks +1 line, -4 lines 0 comments Download
M Source/core/css/DOMWindowCSS.h View 1 2 chunks +0 lines, -4 lines 0 comments Download
M Source/core/css/DOMWindowCSS.cpp View 1 2 chunks +0 lines, -4 lines 0 comments Download
M Source/core/css/DOMWindowCSS.idl View 1 1 chunk +1 line, -2 lines 0 comments Download
M Source/core/css/InspectorCSSOMWrappers.cpp View 1 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/css/RuleSet.cpp View 1 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/css/StyleRule.h View 1 5 chunks +0 lines, -8 lines 0 comments Download
M Source/core/css/StyleRule.cpp View 1 6 chunks +0 lines, -10 lines 0 comments Download
M Source/core/css/StyleSheetContents.cpp View 1 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/inspector/InspectorStyleSheet.cpp View 1 2 chunks +0 lines, -4 lines 0 comments Download
M Source/core/page/DOMWindow.h View 1 2 chunks +0 lines, -4 lines 0 comments Download
M Source/core/page/DOMWindow.cpp View 1 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/page/DOMWindow.idl View 1 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 10 (0 generated)
Peter Beverloo
Ojan, is this something you could take a look at? We can hold off landing ...
6 years, 6 months ago (2013-04-05 20:03:47 UTC) #1
esprehn
Please wait for the API review before landing this. :) Ideally we need a way ...
6 years, 6 months ago (2013-04-05 20:36:07 UTC) #2
ojan
lgtm Looks like there were no objections in the API review. Just to double-check, this ...
6 years, 6 months ago (2013-04-16 23:21:42 UTC) #3
Peter Beverloo
On 2013/04/16 23:21:42, ojan wrote: > Just to double-check, this doesn't expose any new vendor-prefixed ...
6 years, 6 months ago (2013-04-16 23:28:43 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/peter@chromium.org/13646013/5001
6 years, 5 months ago (2013-04-22 11:48:03 UTC) #5
commit-bot: I haz the power
Presubmit check for 13646013-5001 failed and returned exit status 1. INFO:root:Found 23 file(s). Running presubmit ...
6 years, 5 months ago (2013-04-22 11:48:11 UTC) #6
jochen (gone - plz use gerrit)
LGTM Mind to ping the blink-dev thread again after this has landed?
6 years, 5 months ago (2013-04-22 12:49:36 UTC) #7
Peter Beverloo
On 2013/04/22 12:49:36, jochen wrote: > LGTM > > Mind to ping the blink-dev thread ...
6 years, 5 months ago (2013-04-22 13:06:37 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/peter@chromium.org/13646013/5001
6 years, 5 months ago (2013-04-22 13:13:04 UTC) #9
commit-bot: I haz the power
6 years, 5 months ago (2013-04-22 13:47:30 UTC) #10
Message was sent while issue was closed.
Change committed as 148817

Powered by Google App Engine
This is Rietveld 408576698